#contactform {  
  width: 320px;
  left: -325px;
  height:420px;
  margin:15px 0;
  position: fixed;
  box-shadow: 0 0 12px 0 #333;  
  z-index:999999;
  top:120px;
}

#contact-button { 
  width:11%;  
  padding:9% 4%;  
  cursor: pointer;
  margin-left: 320px;
  margin-top:70px;
  font-size:16px; 
  color: white;  
  position: absolute;
  z-index:999999;
}

#contactform, #contact-button {
  background-color:#8b8b8b;
  border-radius: 0 7px 7px 0; 
  border:1px solid #666666; 
  border-left: none;
}

.rotated-text {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(1.1em,0) rotate(90deg);
       -moz-transform: translate(1.1em,0) rotate(90deg);
         -o-transform: translate(1.1em,0) rotate(90deg);
            transform: translate(1.1em,0) rotate(90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;*/
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

.rotated-text:before {
    content: "";
    float: left;
    margin-top: 100%;
}



#contactform input {
  display: block;
  border: none;
  width:94%;
  height: 35px; 
  margin: 15px 10px;  
  background:#fff;
}

#contactform textarea {
  width:94%;
  margin:5px 10px;
  height: 120px;
  background:#fff;
}

#contactform textarea, #contactform input { 
  border:1px solid #666666;
  border-radius: 5px;
  background: #f2f2f2;  padding:10px;
}

@media screen and (max-width:880px) {
#contactform{display:none;}	
}